com.mapinfo.midev.data

## Class TableClosedEvent

- java.lang.Object
- - com.mapinfo.midev.data.TableClosedEvent

All Implemented Interfaces:
  IDataSourceTableEvent

    public final class TableClosedEvent
    extends Object
    implements IDataSourceTableEvent

Holds information about the `IDataSourceTable` being closed.

### Constructor Summary

Constructors
Constructor and Description
`TableClosedEvent(IDataSourceTable source)` Creates a `TableClosedEvent` with the specified source.

### Method Summary

All Methods Instance Methods Concrete Methods
`IDataSourceTable` `getSource()` Returns the `IDataSourceTable` that caused the event.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TableClosedEvent

    public TableClosedEvent(IDataSourceTable source)

Creates a `TableClosedEvent` with the specified source.

Parameters:
  `source` - The `IDataSourceTable` that was closed.
Throws:
  `IllegalArgumentException` - if the specified source is null.

### Method Detail

#### getSource

    public IDataSourceTable getSource()

Description copied from interface: `IDataSourceTableEvent`
Returns the `IDataSourceTable` that caused the event.

Specified by:
  `getSource` in interface `IDataSourceTableEvent`
Returns:
  the `IDataSourceTable` that caused the event.